import { Controller, Get, HttpException, HttpStatus, Param } from '@nestjs/common';
import { ApiParam } from '@nestjs/swagger';
import { TempUserService } from './temp-user.service';

@Controller('temp-user')
export class TempUserController {
  constructor(private readonly tempUserSercice: TempUserService) {}

  @Get(':id')
  @ApiParam({ name: 'id', type: String, required: true })
  public async getTempUser(@Param('id') id: string) {
    const user = await this.tempUserSercice.findById(id);
    if (!user) {
      throw new HttpException('User does not exists', HttpStatus.BAD_REQUEST);
    }
    return user;
  }
}
